package jalview.gui;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.SwingConstants;

/**
 * useful functions for building Swing GUIs
 * @author JimP
 *
 */
public final class JvSwingUtils
{
  /**
   * wrap a bare html safe string to around 60 characters per line using a <table width=350><tr><td></td> field 
   * @param ttext
   * @return
   */
  public static String wrapTooltip(String ttext)
  {
    if (ttext.length()<60)
    {
      return ttext;
    } else {
      return "<table width=350 border=0><tr><td>"+ttext+"</td></tr></table>";
    }
  }
  public static JButton makeButton(String label, String tooltip,
          ActionListener action)
  {
    JButton button = new JButton();
    button.setText(label);
    // TODO: get the base font metrics for the Jalview gui from somewhere
    button.setFont(new java.awt.Font("Verdana", Font.PLAIN, 10));
    button.setForeground(Color.black);
    button.setHorizontalAlignment(SwingConstants.CENTER);
    button.setToolTipText(tooltip);
    button.addActionListener(action);
    return button;
  }

}
